ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::amg::amg_sparsevector< NumericT > Class Template Reference

ViennaCL - The Vienna Computing Library 1.6.2 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::linalg::detail::amg::amg_sparsevector< NumericT > Class Template Reference

A class for the sparse vector type. More...

`#include <amg_base.hpp>`

## Public Types
typedef NumericT | value_type
typedef amg_sparsevector_iterator < InternalType > | iterator
typedef InternalType::const_iterator | const_iterator

## Public Member Functions
| amg_sparsevector (unsigned int size=0)
| The constructor. More...
void | resize (unsigned int size)
unsigned int | size () const
unsigned int | internal_size () const
void | clear ()
void | remove (unsigned int i)
void | add (unsigned int i, NumericT s)
template<typename IteratorT >
void | addscalar (IteratorT &iter, unsigned int i, unsigned int, NumericT s)
template<typename IteratorT >
void | removescalar (IteratorT &iter, unsigned int)
NonzeroScalarType | operator[] (unsigned int i)
NumericT | operator[] (unsigned int i) const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
bool | isnonzero (unsigned int i) const
| operator boost::numeric::ublas::vector< NumericT > (void)

## Detailed Description

### template<typename NumericT>
class viennacl::linalg::detail::amg::amg_sparsevector< NumericT >

A class for the sparse vector type.

Definition at line 260 of file amg_base.hpp.

## Member Typedef Documentation

template<typename NumericT>

typedef InternalType::const_iterator viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::const_iterator

Definition at line 283 of file amg_base.hpp.

template<typename NumericT>

typedef amg_sparsevector_iterator<InternalType> viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::iterator

Definition at line 282 of file amg_base.hpp.

template<typename NumericT>

typedef NumericT viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::value_type

Definition at line 263 of file amg_base.hpp.

## Constructor & Destructor Documentation

template<typename NumericT>

viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::amg_sparsevector | ( | unsigned int | size = `0` | ) |
| inline

The constructor.

Parameters

  size | Size of the vector

Definition at line 289 of file amg_base.hpp.

## Member Function Documentation

template<typename NumericT>

void viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::add | ( | unsigned int | i,
|  | NumericT | s
| ) |  |
| inline

Definition at line 302 of file amg_base.hpp.

template<typename NumericT>
template<typename IteratorT >

void viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::addscalar | ( | IteratorT & | iter,
|  | unsigned int | i,
|  | unsigned | int,
|  | NumericT | s
| ) |  |
| inline

Definition at line 321 of file amg_base.hpp.

template<typename NumericT>

iterator viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::begin | ( |  | ) |
| inline

Definition at line 361 of file amg_base.hpp.

template<typename NumericT>

const_iterator viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::begin | ( |  | ) | const
| inline

Definition at line 362 of file amg_base.hpp.

template<typename NumericT>

void viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::clear | ( |  | ) |
| inline

Definition at line 297 of file amg_base.hpp.

template<typename NumericT>

iterator viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::end | ( |  | ) |
| inline

Definition at line 363 of file amg_base.hpp.

template<typename NumericT>

const_iterator viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::end | ( |  | ) | const
| inline

Definition at line 364 of file amg_base.hpp.

template<typename NumericT>

unsigned int viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::internal_size | ( |  | ) | const
| inline

Definition at line 295 of file amg_base.hpp.

template<typename NumericT>

bool viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::isnonzero | ( | unsigned int | i | ) | const
| inline

Definition at line 367 of file amg_base.hpp.

template<typename NumericT>

viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::operator boost::numeric::ublas::vector< NumericT > | ( | void |  | ) |
| inline

Definition at line 370 of file amg_base.hpp.

template<typename NumericT>

NonzeroScalarType viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::operator[] | ( | unsigned int | i | ) |
| inline

Definition at line 339 of file amg_base.hpp.

template<typename NumericT>

NumericT viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::operator[] | ( | unsigned int | i | ) | const
| inline

Definition at line 350 of file amg_base.hpp.

template<typename NumericT>

void viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::remove | ( | unsigned int | i | ) |
| inline

Definition at line 299 of file amg_base.hpp.

template<typename NumericT>
template<typename IteratorT >

void viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::removescalar | ( | IteratorT & | iter,
|  | unsigned | int
| ) |  |
| inline

Definition at line 336 of file amg_base.hpp.

template<typename NumericT>

void viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::resize | ( | unsigned int | size | ) |
| inline

Definition at line 291 of file amg_base.hpp.

template<typename NumericT>

unsigned int viennacl::linalg::detail::amg::amg_sparsevector< NumericT >::size | ( |  | ) | const
| inline

Definition at line 292 of file amg_base.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/amg/amg_base.hpp